/**
 *
 * @author    Jerry Bendy
 * @since     8/3/2018
 */

/**
 * 根据当前页面的协议及传入的 URL 来判断，如果当前页面是 HTTPS 并且传入 URL 是 HTTP，
 * 就将传入的 URL 改为 HTTPS 的地址
 * @param url
 * @return string
 */
export default function forceResolveHTTPS(url) {
    var protocol = location.protocol

    if (protocol === 'https:' && /^http:/i.test(url)) {
        return protocol + url.substr(5)
    }

    return url
}
